Companies list

The method allows you to get a list of companies

Limitations

The method is available in correspondence to the user rights.

“with” Parameters

ParameterDescription
leadsAdds info on the leads linked to the company into the response
contactsAdds info on the contacts linked to the company into the response
catalog_elementsAdds lists elements linked to the company into the response

Data type header when the request is successful
Content-Type: application/hal+json

Data type header in case of an error
Content-Type: application/problem+json

Response parameters

The properties of a company object are listed below.

ParameterData typeDescription
idintCompany ID
namestringCompany name
responsible_user_idintCompany responsible user ID
group_idintGroup ID of the company responsible user
created_byintThe ID of the user who created the company
updated_byintThe ID of the user who updated the company last
created_atintCompany creation date in the format of Unix Timestamp
updated_atintCompany update date in the format of Unix Timestamp
closest_task_atintDate of the closest open task in the format of Unix Timestamp
custom_fields_valuesarray|nullAn array of the current company custom fields’ values
account_idintAccount ID where the company is located in
  • embedded
objectEmbedded entities data
  • embedded[tags]
arrayCompany tags data array
  • embedded[tags][0]
objectCompany tag model
  • embedded[tags][0][id]
intTag ID
  • embedded[tags][0][name]
stringTag name
  • embedded[tags][0][color]
string/nullTag color
  • embedded[contacts]
arrayGET parameter “with” is required.
Linked contacts data array
  • embedded[contacts][0]
objectLinked contact data
  • embedded[contacts][0][id]
intLinked contact ID
  • embedded[leads]
arrayGET parameter “with” is required.
Linked leads data array
  • embedded[leads][0]
objectLinked lead data
  • embedded[leads][0][id]
intLinked lead ID
  • embedded[catalog_elements][catalog_elements]
arrayGET parameter “with” is required.
Linked lists’ elements data array
  • embedded[catalog_elements][0]
objectLinked list element data
  • embedded[catalog_elements][0][id]
intLinked element ID
  • embedded[catalog_elements][0][metadata]
objectMeta-data of the element
  • embedded[catalog_elements][0][quantity]
intLinked elements quantity
  • embedded[catalog_elements][0][catalog_id][catalog_id]
intID of the linked element’s list
Query Params
string

This parameter takes a string that may consist of several values separated by commas. See the table above.

int32

Page of response

int32

The number of the entities returned in the response to one request (limit – 250)

string

Search query (will perform a search by custom fields values)

string
enum

List elements sorting by the time companies were updated at

Allowed:
string
enum

List elements sorting by companies IDs

Allowed:
filter[id][]
array of int32s

Filter by company ID

filter[id][]
filter[name][]
array of strings

Filter by company name

filter[name][]
filter[created_by][]
array of int32s

Filter by ID of the user who added the company.

filter[created_by][]
filter[updated_by][]
array of int32s

Filter by ID of the user who updated the company last

filter[updated_by][]
filter[responsible_user_id][]
array of int32s

Filter by ID of the company responsible user

filter[responsible_user_id][]
int32

Filter by the creation date of the company in Unix Timestamp format. As a response you will get all the companies added after the date.

int32

Filter by the creation date of the company in Unix Timestamp format. As a response you will get all the companies added before the date.

int32

Filter by date in Unix Timestamp format when the company was updated. As a response you will get all the companies updated after the date.

int32

Filter by date in Unix Timestamp format when the company was updated. As a response you will get all the companies updated before the date.

int32

Filter leads by the date of the task closest to completion in Unix Timestamp format.

int32

Filter leads by the date of the task closest to completion in Unix Timestamp format.

Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json